How to use PHP-FPM with Apache in Plesk

Created:

2016-11-16 13:22:21 UTC

Modified:

2017-08-16 16:58:18 UTC

1

Was this article helpful?


Have more questions?

Submit a request

How to use PHP-FPM with Apache in Plesk

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk Onyx for Linux
  • Plesk 12.0 for Linux

Symptoms

PHP handler FPM application served by Apache is not available at Plesk > Domains > example.com > PHP Settings , however is enabled at Plesk > Tools & Settings > PHP Settings

Cause

FPM application served by Apache handler is available starting from Apache version 2.4.

Resolution

As CentOS 6 comes with Apache version 2.2, it is not possible to use FPM application served by Apache .

As a possible workaround, perform a server migration to CentOS 7 - this OS comes with Apache version 2.4 installed.

It is possible to use FPM application served by nginx .

To enable it, go to

  1. Run Plesk autoinstaller:

    /usr/local/psa/admin/sbin/autoinstaller
  2. On the Main components list for Plesk , select Web hosting > Nginx web server and reverse proxy server > select and install the components:

     1. [*] Nginx web server
    2. [*] PHP-FPM support from OS vendor
Have more questions? Submit a request
Please sign in to leave a comment.